#projects-section {
    padding: 2rem;
    max-width: 1000px;
    margin: auto;
}

.projects {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
}

.project {
    padding: 2rem;
}
.project__content {
    height: 100%;
    width: 100%;
    outline: none;
    background-color: var(--light-color);
    border: none;
    position: relative;
    box-shadow: var(--box-shadow);
    border-radius: 8px;
}
.project__content:hover,
.project__content:focus {
    transform: scale(1.1);
    transition: transform var(--transition-duration) ease-in-out;
}
.project__content--overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 0%;
    background-color: var(--project-overlay-color);
    color: var(--light-color);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.25rem;
    opacity: 0;
    transition: all var(--transition-duration) ease-in-out;
}
.project__content:focus .project__content--overlay,
.project__content:hover .project__content--overlay {
    opacity: 1;
    height: 100%;
    border-radius: 8px;
}
.project__image--container {
    max-width: 200px;
    margin: 2rem auto;
    max-height: 200px;
    width: 100%;
}
.project__image,
.project-details__image {
    display: block;
    height: auto;
    object-fit: contain;
}
.project__name {
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--dark-color);
    padding: 0.5rem;
    text-align: center;
    background-color: var(--light-color);
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

#project-details__popup {
    border: none;
    border-radius: 8px;
    box-shadow: var(--box-shadow);
}
.project-details__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    border-bottom: 1px solid var(--dark-color);
}
.project-details__close-btn {
    background-color: transparent;
    border: none;
    font-size: 1.5rem;
}
.project-details__content {
    padding: 1rem;
}
.project-details__image--wrapper {
    max-width: 200px;
    margin: auto;
}
.project-details__description {
    margin: 2rem 0;
    color: var(--dark-color);
    font-size: 1.25rem;
}
.project-details__links {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    text-align: center;
}
.project-details__link:focus,
.project-details__link:hover {
    outline: 3px solid var(--dark-color);
    transition: outline var(--transition-duration) ease-in-out;
    transform: none;
}

@media (min-width: 768px) {
    .project-details__links {
        flex-direction: row;
        justify-content: center;
    }

    .project-details__link:focus,
    .project-details__link:hover {
        transform: scale(1.25);
        transition: transform var(--transition-duration) ease-in-out;
    }
}